templates = ["netherite_upgrade","rib","coast","wayfinder","silence",
             "eye","snout","tide","host","spire",
             "ward","shaper","sentry","raiser",
             "dune","wild","vex"]
item = ["netherrack","netherrack","cobblestone","terracotta","cobbled_deepslate",
        "end_stone","blackstone","prismarine","terracotta","purpur_block",
        "cobbled_deepslate","terracotta","cobblestone","terracotta",
        "sandstone","mossy_cobblestone","cobblestone"]

for i in range(len(templates)):
    result = "{\n    \"type\": \"minecraft:crafting_shaped\",\n    \"pattern\": ["
    if (0 < i and i < 5):
        result += "\n        \"###\",\n        \"#T#\",\n        \"#D#\"\n    ],\n"
    elif (i == 11 or i == 12):
        result += "\n        \"###\",\n        \"DT#\",\n        \"###\"\n    ],\n"
    elif (i == 13):
        result += "\n        \"###\",\n        \"#T#\",\n        \"##D\"\n    ],\n"
    else:
        result += "\n        \"#D#\",\n        \"#T#\",\n        \"###\"\n    ],\n"
    result += "    \"key\": {\n        \"#\": {\n            \"item\": \"minecraft:"
    result += item[i] + "\"\n"
    result += "    },\n        \"D\": {\n            \"item\": \"minecraft:diamond\"\n"
    result += "    },\n        \"T\": {\n            \"tag\": \"specialarmors:"
    result += "templates\"\n        }\n    },\n    \"result\": {\n"
    result += "        \"item\": \"minecraft:"
    result += templates[i]
    if (i != 0):
        result += "_armor_trim"
    result += "_smithing_template\",\n        \"count\": 1\n    },\n    \"group\": \"templates\"}\n"
    recipe = "./craft_" + templates[i] + ".json"
    file = open(recipe, "w")
    file.write(result)
    file.close()
result = ""
for i in range(len(templates)):
    result += "recipe give @s specialarmors:templates/craft_" + templates[i] + "\n"
file = open("./recipeunlock.mcfunction", "w")
file.write(result)
file.close()